diff --git a/books/bookvol10.3.pamphlet b/books/bookvol10.3.pamphlet
index ecedeeb..585cb6f 100644
--- a/books/bookvol10.3.pamphlet
+++ b/books/bookvol10.3.pamphlet
@@ -28063,7 +28063,7 @@ DoubleFloat(): Join(FloatingPointSystem, DifferentialRing, OpenMath,
 --E 1
  
 --S 2 of 6
-qnew 17
+t1:DFVEC:=qnew 17
 --R
 --R   (1)  [0.,0.,0.,0.,0.,0.,0.,0.,0.,0.,0.,0.,0.,0.,0.,0.,0.]
 --R                                                      Type: DoubleFloatVector
@@ -28071,28 +28071,28 @@ qnew 17
 
 -- NOTE: DFVEC arrays are 0-based, normal Axiom arrays are 1-based
 --S 3 of 6
-a.1:=1.0
+t1.1:=1.0
 
    (3)  1.
                                                             Type: DoubleFloat
 --E 3
 
 --S 4 of 6
-a
+t1
 
    (4)  [0.,1.,0.,0.,0.,0.,0.,0.,0.,0.,0.,0.,0.,0.,0.,0.,0.]
                                                       Type: DoubleFloatVector
 --E 4
 
 --S 5 of 6
-a.0:=2.0
+t1.0:=2.0
 
    (5)  2.
                                                             Type: DoubleFloat
 --E 5
 
 --S 6 of 6
-a
+t1
 
    (6)  [2.,1.,0.,0.,0.,0.,0.,0.,0.,0.,0.,0.,0.,0.,0.,0.,0.]
                                                       Type: DoubleFloatVector
@@ -28115,7 +28115,7 @@ NOTE: Unlike normal Axiom arrays the DoubleFloatVector arrays
 are 0-based so the first element is 0. Axiom arrays normally
 start at 1.
 
-qnew 17
+a:DFVEC:=qnew 17
 
      [0.,0.,0.,0.,0.,0.,0.,0.,0.,0.,0.,0.,0.,0.,0.,0.,0.]
 
@@ -28229,7 +28229,7 @@ DoubleFloatVector : VectorCategory DoubleFloat with
     qnew : Integer -> %
       ++ qnew(n) creates a new uninitialized vector of length n.
       ++
-      ++X qnew(7)
+      ++X t1:DFVEC:=qnew(7)
   == add
     
     Qelt1 ==> DELT$Lisp
diff --git a/changelog b/changelog
index 0b96d6b..d6b9e12 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20100703 tpd src/axiom-website/patches.html 20100703.05.tpd.patch
+20100703 tpd books/bookvol10.3 fix DoubleFloatVector unit test, help file
 20100703 tpd src/axiom-website/patches.html 20100703.04.wxh.patch
 20100703 tpd books/bookvol10.4 fix Export3D unit test
 20100703 wxh src/axiom-website/patches.html 20100703.03.wxh.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index aa06d60..970bce4 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2974,5 +2974,7 @@ books/bookvol10.3 add DoubleFloatVector<br/>
 books/bookvol10.3 add ComplexDoubleFloatVector<br/>
 <a href="patches/20100703.04.wxh.patch">20100703.04.wxh.patch</a>
 books/bookvol10.4 fix Export3D unit test<br/>
+<a href="patches/20100703.05.tpd.patch">20100703.05.tpd.patch</a>
+books/bookvol10.3 fix DoubleFloatVector unit test, help file<br/>
  </body>
 </html>
